#
# spec file for package killerd (Version 1.1 )
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           killerd
License:        GNU General Public License (GPL)
Group:          System/Daemons
URL:            http://mj.ucw.cz/linux.shtml
Autoreqprov:    on
Version:        1.1 
Release:        1.5
Summary:        Daemon for automatic killing of login shells
Source:         %{name}-%{version}.tar.bz2
Source1:        killerd
Patch:          %{name}-%{version}-makefile.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KillerD is a simple daemon for automatic killing of login shells with
idle time exceeding given limits, runaway processes and other system
hogs. Almost everything can be easily configured.



Authors:
--------
    Martin Mares <mj@ucw.cz>

%debug_package
%prep
%setup -q
%patch

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
make install SBINDIR=$RPM_BUILD_ROOT/%{_sbindir} CONFIGDIR=$RPM_BUILD_ROOT/%{_sysconfdir}
install -m 755 %{S:1} $RPM_BUILD_ROOT/etc/init.d/killerd
ln -sf ../../etc/init.d/killerd       $RPM_BUILD_ROOT/%{_sbindir}/rckillerd

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc ChangeLog
%config %{_sysconfdir}/killerd.conf
%config /etc/init.d/killerd
%{_sbindir}/rckillerd
%{_sbindir}/killerd

%changelog
* Wed Jan 17 2007 - anicka@suse.cz
- update to 1.1
  * killerd.c (init_HZ): Use sysconf(_SC_CLK_TCK) if available,
  this seems to be the most reliable method on recent glibc's.
  * killerd.conf: Better comments for all settings.
  * killerd.c: Clarified license message.
  * killerd.c: Users can be excluded if their UID is less
  than a configured limit.
  * killerd.c: Unified processing of wildcard entries. Entries with
  no names always serve as defaults, special treatment of *'s
  is gone.
  * killerd.c: (warn_user): Avoid unlimited retrying if the user's
  terminal is XOFF'ed.
* Tue Jan 09 2007 - anicka@suse.de
- package created (initial version 1.0) (Fate#301747)
